Multivariate Pattern Analysis in Python

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »

# mvpa2.mappers.slicing

Mappers for Dataset slicing.

Functions

`accepts_dataset_as_samples`(fx) | Decorator to extract samples from Datasets.
`mask2slice`(mask) | Convert a boolean mask vector into an equivalent slice (if possible).

Classes

`Mapper`(**kwargs) | Basic mapper interface definition.
`Node`([space, postproc]) | Common processing object.
`SampleSliceMapper`(slicearg, **kwargs) | Mapper to select a subset of samples.
`SliceMapper`(slicearg, **kwargs) | Baseclass of Mapper that slice a Dataset in various ways.
`StripBoundariesSamples`(space, prestrip, ...) | Strip samples on boundaries defines by sample attribute values.

### Navigation

- index
- modules |
- modules |
- PyMVPA Home |
- Sitemap »